From 7e671852f7c53be4048b33d958a32508021ce092 Mon Sep 17 00:00:00 2001
From: Craig Tiller <craig.tiller@gmail.com>
Date: Tue, 1 Sep 2015 13:17:20 -0700
Subject: [PATCH] Fix sanity

---
 tools/run_tests/run_sanity.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/run_tests/run_sanity.sh b/tools/run_tests/run_sanity.sh
index 32e25661fa..da85ad5872 100755
--- a/tools/run_tests/run_sanity.sh
+++ b/tools/run_tests/run_sanity.sh
@@ -52,7 +52,7 @@ diff -u $submodules $want_submodules
 
 rm $submodules $want_submodules
 
-if git ls-files cache.mk --error-unmatch &> /dev/null ; then
+if ! git ls-files cache.mk --error-unmatch &> /dev/null ; then
   echo "Please don't commit cache.mk"
   exit 1
 fi
-- 
GitLab